Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817472 - ejabberd.service is missing [install] section
Summary: ejabberd.service is missing [install] section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-30 07:39 UTC by Pawel P.
Modified: 2012-05-26 07:14 UTC (History)
3 users (show)

Fixed In Version: ejabberd-2.1.11-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 23:27:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Pawel P. 2012-04-30 07:39:32 UTC
Description of problem:
systemctl enable ejabberd.service doesn't work:

# systemctl enable ejabberd.service
Unit files contain no applicable installation information. Ignoring.

Version-Release number of selected component (if applicable):
ejabberd 2.1.10

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
after adding:

[Install]
WantedBy=multi-user.target

to /lib/systemd/system/ejabberd.service it works

Comment 1 Peter Lemenkov 2012-04-30 09:16:37 UTC
(In reply to comment #0)
> Description of problem:
> systemctl enable ejabberd.service doesn't work:
> 
> # systemctl enable ejabberd.service
> Unit files contain no applicable installation information. Ignoring.
> 
> Version-Release number of selected component (if applicable):
> ejabberd 2.1.10
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
> after adding:
> 
> [Install]
> WantedBy=multi-user.target
> 
> to /lib/systemd/system/ejabberd.service it works


Confirmed. I'll fix it shortly.

Comment 2 Fedora Update System 2012-05-06 12:56:23 UTC
ejabberd-2.1.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-1.fc15

Comment 3 Fedora Update System 2012-05-06 12:56:51 UTC
ejabberd-2.1.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-1.fc16

Comment 4 Fedora Update System 2012-05-06 12:56:57 UTC
ejabberd-2.1.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-1.fc17

Comment 5 Fedora Update System 2012-05-06 12:57:03 UTC
ejabberd-2.1.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-1.el6

Comment 6 Fedora Update System 2012-05-06 12:57:09 UTC
ejabberd-2.1.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-1.el5

Comment 7 Fedora Update System 2012-05-06 18:55:54 UTC
Package ejabberd-2.1.11-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ejabberd-2.1.11-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5783/ejabberd-2.1.11-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-05-15 23:27:49 UTC
ejabberd-2.1.11-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-05-15 23:30:12 UTC
ejabberd-2.1.11-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-05-22 15:36:32 UTC
ejabberd-2.1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-05-22 15:36:59 UTC
ejabberd-2.1.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-05-26 07:14:34 UTC
ejabberd-2.1.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.